#
# spec file for package python3-easy-thumbnails
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-easy-thumbnails
Version:        2.3
Release:        2.6
Url:            http://github.com/SmileyChris/easy-thumbnails
Summary:        Easy thumbnails for Django
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/e/easy-thumbnails/easy-thumbnails-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
The powerful, yet easy to implement thumbnailing application for Django.

%prep
%setup -q -n easy-thumbnails-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst docs/*.rst docs/ref/*.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Dec 13 2015 arun@gmx.de
- specfile:
  * no AUTHORS file in tar-ball anymore... removed from %%doc
- update to version 2.3:
  * New "Alias" namer.
  * Avoid a potential concurrency issue with creating the cache.
  * Fix incorrect use of select_related for source thumbnail model.
  * Removed some vestigal processor arguments.
  * Allow "HIGH_RESOLUTION" argument on thumbnail template tag.
  * Add logic to correctly handle thumbnail images on deferred models (e.g. when
    using ".only()").
  * Add a "data_uri" filter to allow rendering of an image inline as a data
    uri.
* Sat Nov 14 2015 arun@gmx.de
- update to version 2.2.1:
  * Fixed: Option "zoom" can also be used by itself, without
    combining it with "crop".
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Dec  3 2014 arun@gmx.de
- specfile: updated copyright year
- update to version 2.2
  * Fix migrations for Django 1.7 final.
  * Fix contain bad image EXIFs being able to still raise an exception.
- change from version 2.1:
  * Fix Python 3.4 installation issue.
  * Avoid an OverflowError due to invalid EXIF data.
  * Fix bug causing JPEG images to be saved without optimization :(
  * JPEG files can now be saved with progressive encoding. By default,
    any image with a dimension larger than 100px will be saved
    progressively. Configured with the THUMBNAILER_PROGRESSIVE
    setting.
- change from version 2.0:
  * Fix packaging issue with old south migrations.
- change from version 2.0:
  * Use Django 1.7 migrations. Thanks Trey Hunner. Note: if using
    South, read the installation docs for required settings changes.
  * Make ThumbnailerImageField.resize_source reflect change in
    extension.
  * Add target option to the scale_and_crop processor, allowing for
    image focal points when cropping (or zooming) an image.
  * Add a THUMBNAIL_NAMER option which takes a function used to
    customize the thumbnail filename.
  * New subsampling option to reduce color subsampling of JPEG images,
    providing sharper color borders for a small increase in file size.
  * Reimplementation of the thumbnail_cleanup command. Thanks Jørgen
    Abrahamsen
  * More efficient thumbnail default storage. Thanks Sandip Agarwal.
- change from version 1.5:
  * Better support for multiple source generators.
  * Update method used to check for modification dates of source and
    thumbnail images. Thanks Ben Roberts.
  * Better thumbnail_high_resolution handling, including the ability
    to switch on and off explicitly with a HIGH_RESOLUTION thumbnail
    option.
  * Added configuration option to specify the infix used for high
    resolution image handling.
  * Optional postprocessor for image optimization. Thanks Jacob Rief!
  * More remote storages optimization
  * Thumbnail dimensions can now optionally be cached. Thanks David Novakovic.
  * New zoom option to generate a thumbnail of a source image with a
    percentage clipped off each side.
  * New background source processor that can add a border color to
    ensure scaled images fit within the exact dimensions given.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Sun Sep 29 2013 p.drouand@gmail.com
- Initial python3 support
* Sun Sep 29 2013 p.drouand@gmail.com
- Update to version 1.4
  + Considerable speed up for remote storages by reducing queries.
  + Allow the ``{%% thumbnail %%}`` tag to also accept aliases.
  + Make ``replace_alpha`` actually work correctly.
  + Fixes exception being raised when image exists in cache but is doesn't
    actually exist in the storage.
  + Fixes Python 2.5 compatibility.
- Use download url as source url
- Add documentation from tarball
- easy-thumbails new requires setuptools to launch setup script
  add python3-setuptools BuildRequires
* Wed Jan 23 2013 alexandre@exatati.com.br
- Update to 1.2:
  * Django 1.5 compatibility.
  * Fixed a problem with the ImageClearableFileInput widget.
* Wed Aug 29 2012 alexandre@exatati.com.br
- Update to 1.1:
  * Added a way to avoid generating thumbnails if they don't exist
    already (with a signal to deal with them elsewhere).
  * Added a thumbnailer_passive filter to allow templates to use the
    non-generating thumbnails functionality when dealing with aliases.
* Wed May 30 2012 alexandre@exatati.com.br
- Update to 1.0.3:
  - Changed the exception to catch from 1.0.2 to IOError.
* Mon May 28 2012 alexandre@exatati.com.br
- Update to 1.0.2:
  - Catch an OSError exception when trying to get the EXIF data of
    a touchy image.
* Wed Dec 21 2011 alexandre@exatati.com.br
- Update to 1.0-alpha-21:
  - Sorry, no changelog.
* Wed Dec  7 2011 alexandre@exatati.com.br
- Update to 1.0-alpha-20:
  - Sorry, no changelog.
* Tue Dec  6 2011 alexandre@exatati.com.br
- Update to 1.0-alpha-19:
  - Sorry, no changelog.
- Regenerate spec file with py2pack.
* Thu Nov  4 2010 alexandre@exatati.com.br
- Initial package (1.0-alpha-13) for openSUSE.
